Package com.ngrok.definitions

# Class EventTargetCloudwatchLogs.Builder

java.lang.Object
com.ngrok.definitions.EventTargetCloudwatchLogs.Builder

Enclosing class:
  EventTargetCloudwatchLogs

public static class EventTargetCloudwatchLogs.Builder extends Object
Builder class for `EventTargetCloudwatchLogs`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventTargetCloudwatchLogs.Builder`
  `auth(AwsAuth auth)`
  Configuration for how to authenticate into your AWS account.
  `EventTargetCloudwatchLogs.Builder`
  `auth(Optional<AwsAuth> auth)`
  Configuration for how to authenticate into your AWS account.
  `EventTargetCloudwatchLogs`
  `build()`
  Constructs the `EventTargetCloudwatchLogs` instance.
  `EventTargetCloudwatchLogs.Builder`
  `logGroupArn(String logGroupArn)`
  An Amazon Resource Name specifying the CloudWatch Logs group to deposit events into.
  `EventTargetCloudwatchLogs.Builder`
  `logGroupArn(Optional<String> logGroupArn)`
  An Amazon Resource Name specifying the CloudWatch Logs group to deposit events into.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### auth

    public EventTargetCloudwatchLogs.Builder auth(AwsAuth auth)
    Configuration for how to authenticate into your AWS account. Exactly one of `role` or `creds` should be configured.
    Parameters:
      `auth` - the value of the `auth` parameter as a `AwsAuth`
    Returns:
      this builder instance

  - ### auth

    public EventTargetCloudwatchLogs.Builder auth(Optional<AwsAuth> auth)
    Configuration for how to authenticate into your AWS account. Exactly one of `role` or `creds` should be configured.
    Parameters:
      `auth` - the value of the `auth` parameter as a `AwsAuth`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### logGroupArn

    public EventTargetCloudwatchLogs.Builder logGroupArn(String logGroupArn)
    An Amazon Resource Name specifying the CloudWatch Logs group to deposit events into.
    Parameters:
      `logGroupArn` - the value of the `log_group_arn` parameter as a `String`
    Returns:
      this builder instance

  - ### logGroupArn

    public EventTargetCloudwatchLogs.Builder logGroupArn(Optional<String> logGroupArn)
    An Amazon Resource Name specifying the CloudWatch Logs group to deposit events into.
    Parameters:
      `logGroupArn` - the value of the `log_group_arn` parameter as a `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### build

    public EventTargetCloudwatchLogs build()
    Constructs the `EventTargetCloudwatchLogs` instance.
    Returns:
      a new `EventTargetCloudwatchLogs`